<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/**
 * レーベル関連
 *
 * @package     Onedepo.Logic.Labelview
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Onedepo_Logic_Labelview
{
    var $label;
    
    var $initial = array(
                        // あ ～
                        "a" => array("あ", "い", "う","え", "お")
                        // か ～
                        , "ka" => array("か", "が", "き", "ぎ", "く", "ぐ", "け", "げ", "こ", "ご")
                        // さ ～
                        , "sa" => array("さ", "ざ", "し", "じ", "す", "ず", "せ", "ぜ", "そ", "ぞ")
                        // た ～
                        , "ta" => array("た","だ", "ち", "ぢ", "つ", "づ", "て", "で", "と", "ど")
                        // な ～
                        , "na" => array("な", "に", "ぬ", "ね", "の")
                        // は ～
                        , "ha" => array("は", "ば", "ぱ", "ひ", "び", "ぴ", "ふ", "ぶ", "ぷ", "へ", "べ", "ぺ", "ほ", "ぼ", "ぽ")
                        // ま ～
                        , "ma" => array("ま", "み", "む", "め", "も")
                        // や ～
                        , "ya" => array("や", "ゆ", "よ")
                        // ら ～
                        , "ra" => array("ら", "り", "る", "れ", "ろ")
                        // わ ～
                        , "wa" => array("わ")
                        // その他
                        , "oth" => array("その他")
                         );
    
    
    /**
    * おすすめレーベル取得
    * 
    */
    function selectAllRecommend()
    {
        $log =& LogFactory::getLog();
        $log->debug("debug", "Onedepo_Logic_Labelview#selectRecommendMaker");
        
        return $this->label->viewSelectAllRecommend();
    }
    
    
    /**
    * かな行ごとのレーベル取得
    *
    */
    function selectLabelByInitialRow(){
        $log =& LogFactory::getLog();
        $log->debug("debug", "Onedepo_Logic_Labelview#selectLabelByInitialRow");
        
        $data = array();
        foreach($this->initial as $key => $val){
            $kanadata = array();
            if ($key != "oth"){
                // かな行ごと
                foreach($val as $i){
                    $kanadata[] = $i;
                }
                $data[$key]["img"]   = $this->label->viewSelectImageByKana($kanadata);
                //$data[$key]["noimg"] = $this->label->viewSelectNoimageByKana($kanadata);
            } else {
                // かな以外
                $data[$key]["img"]   = $this->label->viewSelectImageByNonKana();
                //$data[$key]["noimg"] = $this->label->viewSelectNoimageByNonKana();
            }
        }
        
        return $data;
    }
    
    
}
?>